Ubuntu

Bluetooth not discovered on Dell Inspiron 9400

Reported by Alex on 2006-03-30
56
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

    OVERVIEW

Dell provides a Bluetooth module for laptops that works with Linux only when the laptop is shipped with XP. Laptops shipped with Vista uses a different firmware for th BT module, which isn't recognized by Linux.

   DIAGNOSTICS

Even though you've remembered to enable Bluetooth support in the BIOS and/or using the switch on your laptop,
'hcitool dev' gives no output, indicating no bluetooth adapters present. 'lsusb' only lists the ID, but provides no desciption:

  Bus 001 Device 005: ID 413c:8105 Dell Computer Corp.

   RELATED BUGS

For Toshiba laptops, you may have to use omnibook (bug 180659) or toshet (bug 110202).

   WORKAROUNDS

1. Boot into windows, then reboot (without turning off power) into Linux.

2. Install Windows XP, and use Dell's DFU tool to install the XP-specific firmware, which is availabe from:
http://support.us.dell.com/support/downloads/download.aspx?c=us&l=en&s=gen&releaseid=R117967&formatcnt=1&libid=0&fileid=156024

or use the Vista to XP firmware downgrade tool:

http://support.us.dell.com/support/downloads/download.aspx?c=us&l=en&s=gen&releaseid=R157674&formatcnt=1&libid=0&fileid=210380

After the firmware update, the 'lsusb' command should list (among other things):

   % lsusb
       :
   Bus 001 Device 010: ID 413c:8103 Dell Computer Corp. Wireless 350 Bluetooth

    % hcitool dev
    Devices:
            hci0 00:AA:BB:11:22:33

--------------------------------------------
Original bug regport:

I'm running a fresh Dapper on a Dell Inspiron 9400. There is Bluetooth in the laptop, but the OS doesn't seem to see it, saying that no bluetooth hardware is found.

Here's lspci output:

0000:00:00.0 Host bridge: Intel Corporation Mobile Memory Controller Hub (rev 03)
0000:00:01.0 PCI bridge: Intel Corporation Mobile PCI Express Graphics Port (rev 03)
0000:00:1b.0 0403: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
0000:00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
0000:00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
0000:00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01)
0000:00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 01)
0000:00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 01)
0000:00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 01)
0000:00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 01)
0000:00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
0000:00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
0000:00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
0000:00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA Storage Controllers cc=IDE (rev 01)
0000:00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
0000:01:00.0 VGA compatible controller: nVidia Corporation: Unknown device 0098 (rev a1)
0000:03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
0000:03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd: Unknown device 0832
0000:03:01.1 0805: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 19)
0000:03:01.2 System peripheral: Ricoh Co Ltd: Unknown device 0843 (rev 01)
0000:03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 0a)
0000:03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 05)
0000:0c:00.0 Network controller: Intel Corporation: Unknown device 4222 (rev 02)

Charles Majola (chmj) wrote :

Can you please attach the output of "lspci -v" and "dmesg"

Alex (gsasha) wrote :
Download full text (8.4 KiB)

here's lspci -v (the kernel is now 2-15-20, but the problem persists):

0000:00:00.0 Host bridge: Intel Corporation Mobile Memory Controller Hub (rev 03)
        Subsystem: Dell: Unknown device 01cd
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] #09 [5109]

0000:00:01.0 PCI bridge: Intel Corporation Mobile PCI Express Graphics Port (rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: dd000000-dfefffff
        Prefetchable memory behind bridge: 00000000c0000000-00000000cff00000
        Capabilities: [88] #0d [0000]
        Capabilities: [80] Power Management version 2
        Capabilities: [90] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [a0] #10 [0141]

0000:00:1b.0 0403: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
        Subsystem: Dell: Unknown device 01cd
        Flags: bus master, fast devsel, latency 0, IRQ 50
        Memory at dfffc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [70] #10 [0091]

0000:00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
        Capabilities: [40] #10 [0141]
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2

0000:00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=0
        Memory behind bridge: dcf00000-dcffffff
        Capabilities: [40] #10 [0141]
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2

0000:00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0d, subordinate=0e, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: dcc00000-dcefffff
        Prefetchable memory behind bridge: 00000000d0000000-00000000d0100000
        Capabilities: [40] #10 [0141]
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2

0000:00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 01) (prog-if 00 [UHCI])
        Subsystem: Dell: Unknown device 01cd
        Flags: bus master, medium devsel, latency 0, IRQ 233
    ...

Read more...

too long to be inserted inline.

Ben Collins (ben-collins) wrote :

Are you sure that bluetooth is enabled in the BIOS? What devices are you trying to reach via the bluetooth connection?

Changed in linux-source-2.6.15:
status: Unconfirmed → Needs Info
devnull (sscott-westnet) wrote :

Im running kubuntu dapper on a 9400 here, and it picks up the bluetooth just fine.

Im just mentioning it because perhaps you have a hardware problem?

On Wednesday 23 August 2006 05:25, devnull wrote:
> Im running kubuntu dapper on a 9400 here, and it picks up the bluetooth
> just fine.
>
> Im just mentioning it because perhaps you have a hardware problem?
Maybe. It has the Bluetooth light on the panel, but actually I'm not sure if
it is installed. Do you know if Bluetooth is an option or mandatory on this
model?

devnull (sscott-westnet) wrote :
Download full text (8.2 KiB)

I dont think I had the option.

Here's my lspci -v : youll notice that theyre almost identical save a few memory addresses and video card.

0000:00:00.0 Host bridge: Intel Corporation Mobile Memory Controller Hub (rev 03)
        Subsystem: Dell: Unknown device 01cd
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] #09 [5109]

0000:00:01.0 PCI bridge: Intel Corporation Mobile PCI Express Graphics Port (rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: dfd00000-dfefffff
        Prefetchable memory behind bridge: 00000000c0000000-00000000cff00000
        Capabilities: [88] #0d [0000]
        Capabilities: [80] Power Management version 2
        Capabilities: [90] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [a0] #10 [0141]

0000:00:1b.0 0403: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
        Subsystem: Dell: Unknown device 01cd
        Flags: bus master, fast devsel, latency 0, IRQ 50
        Memory at dfffc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [70] #10 [0091]

0000:00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
        Capabilities: [40] #10 [0141]
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2

0000:00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=0
        Memory behind bridge: dfc00000-dfcfffff
        Capabilities: [40] #10 [0141]
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2

0000:00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0d, subordinate=0e, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: dfa00000-dfbfffff
        Prefetchable memory behind bridge: 00000000d0000000-00000000d0100000
        Capabilities: [40] #10 [0141]
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable+
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2

0000:00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 01) (prog-if 00 [UHCI])
        Subsystem: Dell: Unknown device 01cd
        Flags: bus master, medium devsel, latency 0, ...

Read more...

devnull (sscott-westnet) wrote :

and my dmesg....

Alex (gsasha) wrote :
Download full text (31.6 KiB)

On Tuesday 29 August 2006 11:39, devnull wrote:
> and my dmesg....
??? Do you want the output of my dmesg? Attached.

[17179569.184000] Linux version 2.6.15-26-686 (buildd@terranova) (gcc version 4.0.3 (Ubuntu 4.0.3-1ubuntu5)) #1 SMP PREEMPT Thu Aug 3 03:13:28 UTC 2006
[17179569.184000] BIOS-provided physical RAM map:
[17179569.184000] BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
[17179569.184000] BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
[17179569.184000] BIOS-e820: 0000000000100000 - 000000003fed3400 (usable)
[17179569.184000] BIOS-e820: 000000003fed3400 - 0000000040000000 (reserved)
[17179569.184000] BIOS-e820: 00000000e0000000 - 00000000f0007000 (reserved)
[17179569.184000] BIOS-e820: 00000000f0008000 - 00000000f000c000 (reserved)
[17179569.184000] BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[17179569.184000] BIOS-e820: 00000000fed20000 - 00000000feda0000 (reserved)
[17179569.184000] BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
[17179569.184000] BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
[17179569.184000] 126MB HIGHMEM available.
[17179569.184000] 896MB LOWMEM available.
[17179569.184000] On node 0 totalpages: 261843
[17179569.184000] DMA zone: 4096 pages, LIFO batch:0
[17179569.184000] DMA32 zone: 0 pages, LIFO batch:0
[17179569.184000] Normal zone: 225280 pages, LIFO batch:31
[17179569.184000] HighMem zone: 32467 pages, LIFO batch:7
[17179569.184000] DMI 2.4 present.
[17179569.184000] ACPI: RSDP (v000 DELL ) @ 0x000fc370
[17179569.184000] ACPI: RSDT (v001 DELL M07 0x27d50c11 ASL 0x00000061) @ 0x3fed3a54
[17179569.184000] ACPI: FADT (v001 DELL M07 0x27d50c11 ASL 0x00000061) @ 0x3fed4800
[17179569.184000] ACPI: MADT (v001 DELL M07 0x27d50c11 ASL 0x00000047) @ 0x3fed5000
[17179569.184000] ACPI: MCFG (v016 DELL M07 0x27d50c11 ASL 0x00000061) @ 0x3fed4fc0
[17179569.184000] ACPI: BOOT (v001 DELL M07 0x27d50c11 ASL 0x00000061) @ 0x3fed4bc0
[17179569.184000] ACPI: SSDT (v001 PmRef CpuPm 0x00003000 INTL 0x20050624) @ 0x3fed3a8c
[17179569.184000] ACPI: DSDT (v001 INT430 SYSFexxx 0x00001001 INTL 0x20050624) @ 0x00000000
[17179569.184000] ACPI: PM-Timer IO Port: 0x1008
[17179569.184000] ACPI: Local APIC address 0xfee00000
[17179569.184000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[17179569.184000] Processor #0 6:14 APIC version 20
[17179569.184000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
[17179569.184000] Processor #1 6:14 APIC version 20
[17179569.184000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[17179569.184000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[17179569.184000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[17179569.184000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
[17179569.184000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[17179569.184000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[17179569.184000] ACPI: IRQ0 used by override.
[17179569.184000] ACPI: IRQ2 used by override.
[17179569.184000] ACPI: IRQ9 used by override.
[17179569.184000] Enabling APIC mode: Flat. Usin...

Alex (gsasha) wrote :

> I dont think I had the option.
>
> Here's my lspci -v : youll notice that theyre almost identical save a
> few memory addresses and video card.
Pardon my ignorance, but what do I need to understand from it?

Regards,
Alex

devnull (sscott-westnet) wrote :

Our hardware is almost identical, yet my bluetooth works and yours doesnt.

From your dmesg:

[17179613.324000] Bluetooth: HCI device and connection manager initialized
[17179613.324000] Bluetooth: HCI socket layer initialized
[17179613.380000] Bluetooth: L2CAP ver 2.8
[17179613.380000] Bluetooth: L2CAP socket layer initialized
[17179613.400000] Bluetooth: RFCOMM socket layer initialized
[17179613.400000] Bluetooth: RFCOMM TTY layer initialized
[17179613.400000] Bluetooth: RFCOMM ver 1.7

So it looks like you definitely have bluetooth.

Im actually running kubuntu, so perhaps this is a gnome-bluetooth issue?

Im not a developer, Im just trying to fill in the picture for when someone more knowledgeable looks at this :)

Sridhar Dhanapalan (sridhar) wrote :

On my Dell Inspiron 9400, I am able to receive but not send files using the command-line hci tools, and GUI GNOME and KDE Bluetooth tools. This might be just an issue of software configuration, so I'm not complaining. I'm attaching my lspci output for reference.

Also, I've added some information about Bluetooth on this laptop at https://wiki.ubuntu.com/LaptopTestingTeam/DellInspiron9400

Sridhar Dhanapalan (sridhar) wrote :

In Feisty, bluetooth file transfers work properly in both directions. However, I need to restart /etc/init.d/bluetooth after resuming from suspend.

Ketil Malde (ketil-ii) wrote :

I have a Dell Latitude D620, which included (according to the "Compatible systems" link at the bottom of http://support.dell.com/support/downloads/download.aspx?c=us&l=en&s=gen&releaseid=R129472&SystemID=LATITUDE%20D620&servicetag=&os=WW1&osl=en&deviceid=7388&devlib=0&typecnt=0&vercnt=2&catid=-1&impid=-1&formatcnt=1&libid=5&fileid=172476
) a Dell 350 Bluetooth module.

BT is enabled in the BIOS, and the BT LED on my computer is shining happily.

However: 'hciconfig' gives no output, 'hcitool dev' shows only the 'Devices:' header, and 'hcitool scan' tells me that "Device is not available: No such device". However, the BT device shows up on the USB bus, 'lsusb' tells me:

   Bus 001 Device 005: ID 413c:8105 Dell Computer Corp.

Apparently, this can be caused by a Vista-specific firmware "upgrade" from Dell that sabotages the BT module, see http://ubuntuforums.org/showthread.php?p=2308248

Like the participant in that thread, I no longer have Vista or XP installed. I tried to download the Windows driver from Dell to download it with dfutool http://www.holtmann.org/linux/bluetooth/dfu.html. The file, R129472.EXE, can be 'unzip'ped to
BtSwSP2.exe, which 'cabextract' can decompose into a set of DLLs and such. I'm not sure how to proceed from there, though.

(dfutool is not packaged with bluez-utils in Ubuntu, should I file that as a separate feature request/bug?)

-k

Ketil Malde (ketil-ii) wrote :

Oh. The link to Dell is not the correct file, it should probably be

http://support.us.dell.com/support/downloads/download.aspx?c=us&l=en&s=gen&releaseid=R117967&formatcnt=1&libid=0&fileid=156024

instead. Again, 'unzip R117967.EXE', 'cd 2KXP/DFU', and 'dfutool verify bt_if.dfu' gives:

  Filesize 710386
  Checksum 544e93f5

  DFU suffix 22 24 03 81 3c 41 00 01 55 46 44 10 f5 93 4e 54

  idVendor 413c
  idProduct 8103
  bcdDevice 2422

  bcdDFU 1.0
  ucDfuSignature DFU
  bLength 16
  dwCRC 544e93f5

  Firmware type CSR-dfu1
  Firmware check valid checksum

However, 'dfutool upgrade bt_if.dfu' claims:

  Scanning USB busses ...
  Can't find any DFU devices

Any ideas?

-k

Ketil Malde (ketil-ii) wrote :

Here is an excerpt from the command:
  sudo strace /fedora/usr/bin/dfutool -d /dev/bus/usb/001/005 archive old.dfu

  :
  open("/dev/bus/usb/001/005", O_RDWR) = 3
  ioctl(3, USBDEVFS_IOCTL, 0xbfd9fd90) = -1 ENOTTY (Inappropriate ioctl for device)
  :

(Gives the same message as above)

-k

Markus Golser (golserma) wrote :

I have the same problems on my Dell Inspiron 9400 on Ubuntu Feisty latest updates.
sudo hciconfig hci0 reset
fixes my problem.

Ketil Malde (ketil-ii) wrote :

Not the same problem as I have, obviously (I don't *have* a hci0), but if it fixes the problem for Alex, I'll file my issue as a separate bug.

(What's with the lspci outputs - this is a device on the USB bus, isn't it?)

-k

Ketil Malde (ketil-ii) wrote :

This bug is tagged with 'Needs info'. Could somebody please look at the links I've posted, and get back to me as to what further information is needed?

Steve Romanow (slestak989) wrote :

The initial bug reporter couldn't see the bluetooth adapter in lspci, i'm almost sure this is some mini-usb connector. I bought my Dell 350 board after buying my e1505, so I installed it. Worked 50-50 with edgy, same with feisty.

You can see the card with lsusb instead of lspci.

I think the forum thread showing the vista conflict may be spot on. I have vista home preium on another partition, and noted that my bluetooth works _more_ at home than it does in the office. But I only boot feisty at work. I am more apt to reboot from windows without shutting off laptop and then boot feisty. Which is the methed that supposedly reports the firmware as 413c:8103. I will do a couple of reboots in a few minutes and see if the bluetooth usb id changes based on which os is booted first.

Thanks guys! good work!

Steve Romanow (slestak989) wrote :

Yes, confirmed that by booting into windows, then linux, the usb id changes to 413c:8103 and the bluez stack works. I am using my bluetooth adapter now to post this message. So this Dell 350 is akin to a winmodem now? Do we need some sort of ndiswrapper-alike to use the vista driver?

Steve Romanow (slestak989) wrote :

this is still an issue with 2.6.20-16. I see some notes on the forum about reflashing the firmware of the bluetooth card, but the optimum soln would be to change our driver to meet the new state of this product. I'll check upstream to see if this is an issue there as well.

Ketil Malde (ketil-ii) on 2007-08-07
Changed in linux-source-2.6.15:
status: Incomplete → Confirmed
zeddock (zeddock) wrote :

Any further movement on this bug? I am on a Dell Latitude D800 and have same type of problem.

zeddock

Alex (gsasha) wrote :

On Wednesday 03 October 2007 19:46:54 zeddock wrote:
> Any further movement on this bug? I am on a Dell Latitude D800 and have
> same type of problem.

Well, I actually came to suspect that there is actually no bluetooth option
installed on the laptop. I don't have that computer anymore, so I can't
check.

zeddock (zeddock) wrote :

Wow!
That would be a good reason for it not to work!<laughs>

I am on the D800 and there is still a big problem. Not sure if anyone is watching this bug though.

zeddock

zeddock (zeddock) wrote :

PS. I *do* have a bluetooth card in my laptop D800. I believe it is a mini pci card.

zeddock

Ketil Malde (ketil-ii) wrote :

Just a quick note to say that the behavior is identical on current Gutsy (Beta+updates as per today)

-k

zeddock (zeddock) wrote :

Confirm. I am on latest Gusty.
zeddock

On 10/9/07, Ketil Malde <email address hidden> wrote:
>
> Just a quick note to say that the behavior is identical on current Gutsy
> (Beta+updates as per today)
>
> -k
>
> --
> Bluetooth not discovered on Dell Inspiron 9400
> https://bugs.launchpad.net/bugs/37288
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Jmadero (jmadero) wrote :

is this problem still being looked in to? I am having the same issue with Gutsy with not being able to see my computer with my phone (can see it in XP). Thanks everyone

Steven Weller (suweller) wrote :

I have the same problem on my Inspiron 1720 since I installed Ubuntu 64-bit.

The results of both "lspci -v" and "dmesg" on my system can be found (in that order) in the attachment.

Steven Weller (suweller) wrote :

As it happens I found a partial solution to this problem.

Because bluetooth did not work under Linux I booted Vista, turned on the bluetooth (using software), went about my bluetooth business and shut Vista down, without disabling it with the software. When I rebooted Ubuntu bluetooth-applet worked flawlessly.

However, this means there is a boolean value somewhere which the applet does not make use of. If ever it is set to false bluetooth will no longer work.

Jmadero (jmadero) wrote :

Same problem with Gutsy & an Inspiron 9400. I can't send files either way, my phone sees no devices when I scan and bluetooth LED is on. I am dual booting XP and bluetooth works fine. Leaving it on and restarting does not fix the problem like the previous person said it does with Vista. I just got remote control access with my cell phone in XP...it would be cool to have the same features in Gutsy. Thanks for the hard work

Steve Romanow (slestak989) wrote :

Problem still here on fresh install of hardy with 2.6.24-16.

You'd thisnk with the Dellbuntu's being sold, this would have a soln.

> Problem still here on fresh install of hardy with 2.6.24-16.

For me as well.

-k

Jmadero (jmadero) wrote :

Problem still exists with hardy 2.6.24-17. bummer that the issue hasn't been corrected :( I have a bluetooth keyboard and mouse that can't be used at all

  • unnamed Edit (1.6 KiB, text/html; charset=ISO-8859-1)

2008/6/20 Jmadero <email address hidden>:

> Problem still exists with hardy 2.6.24-17. bummer that the issue hasn't
> been corrected :( I have a bluetooth keyboard and mouse that can't be
> used at all

Have you read the following forum thread:
http://ubuntuforums.org/archive/index.php/t-378000.html

Apparently Windows altered the hardware device Id of my bluetooth module. I
have a Wireless 350 Bluetooth module from Dell in my Dell Latitude D620. The
default deviceId is 413c:8103. But till yesterday it was set to 413c:8105 in
Ubuntu??? Some say this is caused by Windows Vista, but unlike others I
never had Windows Vista installed on my laptop, only XP in the beginning.

After reading that thread, I created a partition for windows xp, ran the
firmware upgrade utility for the Wireless 350 Bluetooth module from Dell *
(DFU.exe), rebooted into Linux and now my deviceId is back the default:

`lsusb`:
Bus 005 Device 005: ID 413c:8103 Dell Computer Corp. Wireless 350 Bluetooth

I was struggling for quite a while on this problem, but the easiest way to
solve this problem is to install windows again (if you haven't allready) and
perform the firmware upgrade. I know it's not the best solution, but hey,
now I can actualy use my bluetooth module under ubuntu.

Ketil Malde (ketil-ii) wrote :

I got this fixed by installing Windows XP, reflashing the BT module, then reinstalling Linux. It now works for me.

Ketil Malde (ketil-ii) on 2008-08-05
description: updated
Ketil Malde (ketil-ii) on 2008-08-05
description: updated
description: updated
Andrew King (anders-king-00) wrote :

Hi,

Is there a workaround other than (re)installing XP?. this really isn't an option for me.
(Possibly a winXP liveCD ;-) )

Regards,
Andrew

I don't know if the BT hardware is the same, but on my Latitude D630 I just booted up Vista (I kept it in a small partition in case of such emergencies!) and updated Dell's BT driver - it resets the firmware back to a version that works in Linux.

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this linux-source-2.6.15 kernel bug to the new "linux" package. We appreciate your patience and understanding as we make this transition. Also, if you would be interested in testing the upcoming Intrepid Ibex 8.10 release, it is available at http://www.ubuntu.com/testing . Please let us know your results. Thanks!

efti (viktor-radnai) on 2008-11-08
description: updated
tags: added: kj-triage
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → New
Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: needs-kernel-logs needs-upstream-testing
alapzaj (vtomek) on 2009-08-25
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
alapzaj (vtomek) on 2009-08-25
tags: removed: needs-upstream-testing
44 comments hidden view all 113 comments
Jeremy Foshee (jeremyfoshee) wrote :

alapzaj,
    I understand you tested this against Karmic Alpha4, but would you mind also verifying, perhaps via LiveCD that this is also present in the beta version currently available?

Thanks in advance,

-JFo

Changed in linux (Ubuntu):
status: New → Incomplete
Mensler (cweiss-webplain) wrote :

I just installed the current beta release in my Dell XPS M1330 and the problem persists.

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mensler 2131 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6ffc000 irq 21'
   Mixer name : 'SigmaTel STAC9228'
   Components : 'HDA:83847616,10280209,00100402'
   Controls : 29
   Simple ctrls : 19
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=39477340-d16b-4caa-9de0-bca217991ad1
MachineType: Dell Inc. XPS M1330
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcCmdLine: root=UUID=c9f5ff26-5844-4f03-89bb-697b8021ea47 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=de_DE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-13.44-generic
RelatedPackageVersions: linux-firmware 1.21
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Uname: Linux 2.6.31-13-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers
dmi.bios.date: 12/26/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.name: 0U8042
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd12/26/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn0U8042:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1330
dmi.sys.vendor: Dell Inc.

Changed in linux (Ubuntu):
status: Incomplete → New
19 comments hidden view all 113 comments
mcfrei (mcfrei) wrote :

This bug affects me too.
Also, Dell XPS m2010 DOES NOT have wired keyboard - only wireless bluetooth, and so the firmware downgrade is not very good in this case.

Armageddon (thyarmageddon) wrote :

My bluetooth does not work on Ubuntu even though it is listed in 'dmesg'

[ 2.630081] Bluetooth: Core ver 2.15
[ 2.630216] NET: Registered protocol family 31
[ 2.630229] Bluetooth: HCI device and connection manager initialized
[ 2.630244] Bluetooth: HCI socket layer initialized[ 4.660836] Bluetooth: L2CAP ver 2.13
[ 4.660839] Bluetooth: L2CAP socket layer initialized
[ 4.660842] Bluetooth: SCO (Voice Link) ver 0.6
[ 4.660844] Bluetooth: SCO socket layer initialized
[ 4.660896] Bluetooth: RFCOMM TTY layer initialized
[ 4.660899] Bluetooth: RFCOMM socket layer initialized
[ 4.660901] Bluetooth: RFCOMM ver 1.11

there is nothing in 'lspci'

On Jaunty, an update made it work for a week and then another update stopped it from working, I couldn't be able to know which made it work and which made it stop.

My laptop is a Toshiba Satellite A300D-17G
AMD64 Ultra Turion
ATI HD Radeon 3650
with a Phoenix BIOS

For any further information please reply to me, I am not a big Linux knowledgeable but I would like to help with any further information needed.

Jeremy Foshee (jeremyfoshee) wrote :

Alex,
     As the originator of this particular bug, I'd like to see if you have tested this against the lastest Alpha3 or daily build of Lucid. I'd like to get this bug in front of the Kernel Engineers if possible. Have you also been able to verify that this is an issue in the mainline kernel build? I am interested to see what your testing yields.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: New → Incomplete
fbraun (fbraun) wrote :

This affects me on a Dell Inspiron 13z. I will try to test/debug if this exists in current Alpha3, but I am not sure how to test this thoroughly. Any hints?

CharlesR (steincr) wrote :

I have installed the Lucid RC (via WUBI) on a Dell M2010 with the dreaded Dell 350 bluetooth card, and can confirm that the issue has not been resolved at kernel 2.6.32-22. The Bluetooth light is "happily" lit, but the keyboard and mouse will not connect. "HCI" commands are either ignored or return a "no devices" message.

I'd really like to get this "beautiful monster" working with Ubuntu (and be able to throw away Vista). Some have suggested that Kubuntu has a better chance of working, I will try that next. The business of using XP or Vista to "downgrade" something or other is beyond my level of competence. However, since this is a WUBI installation, Vista is still available.

Also, the first time I loaded the liveCD of Lucid, Vista was in its sleeping mode, with the power off, but not "shut down". I was able then to tease the keyboard and mouse into working. I was elated to find it working, but alas, it did not continue to do so after an official "shut down". I might try removing the WUBI installation as it is now, starting up Vista and putting it into its power off "sleep' mode and then trying to reinstall the WUBI thing then. Any thoughts of encouragement or discouragement would be greatly appreciated.

I might also try to find a USB Bluetooth dongle known to work with Ubuntu, and just plug it in. The cost is very small. D'Link DBT 120 doesn't work either.

CRS

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Eddie C (edward-deddly) wrote :

This is still a relevant bug. I have the same problem on a Dell XPS M2010 and Maverick 10.10

Displaying first 40 and last 40 comments. View all 113 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers